package com.emr.entity;

import java.io.Serializable;
import java.util.Date;

public class DocusRequestInfo implements Serializable {
    private Long id;

    private String code;

    private String jzh;

    private String masterId;

    private String primaryKey;

    private String paramPrimaryMsg;

    private String paramInfo;

    private Integer resultState;

    private String resultMsg;

    private Date createTime;

    private String createUsername;

    private String createName;

    private String c1;

    private String c2;

    private String c3;

    private Date t1;

    private Date t2;

    private Date t3;

    private Integer i1;

    private Integer i2;

    private Integer i3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getJzh() {
        return jzh;
    }

    public void setJzh(String jzh) {
        this.jzh = jzh == null ? null : jzh.trim();
    }

    public String getMasterId() {
        return masterId;
    }

    public void setMasterId(String masterId) {
        this.masterId = masterId == null ? null : masterId.trim();
    }

    public String getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(String primaryKey) {
        this.primaryKey = primaryKey == null ? null : primaryKey.trim();
    }

    public String getParamPrimaryMsg() {
        return paramPrimaryMsg;
    }

    public void setParamPrimaryMsg(String paramPrimaryMsg) {
        this.paramPrimaryMsg = paramPrimaryMsg == null ? null : paramPrimaryMsg.trim();
    }

    public String getParamInfo() {
        return paramInfo;
    }

    public void setParamInfo(String paramInfo) {
        this.paramInfo = paramInfo == null ? null : paramInfo.trim();
    }

    public Integer getResultState() {
        return resultState;
    }

    public void setResultState(Integer resultState) {
        this.resultState = resultState;
    }

    public String getResultMsg() {
        return resultMsg;
    }

    public void setResultMsg(String resultMsg) {
        this.resultMsg = resultMsg == null ? null : resultMsg.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUsername() {
        return createUsername;
    }

    public void setCreateUsername(String createUsername) {
        this.createUsername = createUsername == null ? null : createUsername.trim();
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName == null ? null : createName.trim();
    }

    public String getC1() {
        return c1;
    }

    public void setC1(String c1) {
        this.c1 = c1 == null ? null : c1.trim();
    }

    public String getC2() {
        return c2;
    }

    public void setC2(String c2) {
        this.c2 = c2 == null ? null : c2.trim();
    }

    public String getC3() {
        return c3;
    }

    public void setC3(String c3) {
        this.c3 = c3 == null ? null : c3.trim();
    }

    public Date getT1() {
        return t1;
    }

    public void setT1(Date t1) {
        this.t1 = t1;
    }

    public Date getT2() {
        return t2;
    }

    public void setT2(Date t2) {
        this.t2 = t2;
    }

    public Date getT3() {
        return t3;
    }

    public void setT3(Date t3) {
        this.t3 = t3;
    }

    public Integer getI1() {
        return i1;
    }

    public void setI1(Integer i1) {
        this.i1 = i1;
    }

    public Integer getI2() {
        return i2;
    }

    public void setI2(Integer i2) {
        this.i2 = i2;
    }

    public Integer getI3() {
        return i3;
    }

    public void setI3(Integer i3) {
        this.i3 = i3;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", code=").append(code);
        sb.append(", jzh=").append(jzh);
        sb.append(", masterId=").append(masterId);
        sb.append(", primaryKey=").append(primaryKey);
        sb.append(", paramPrimaryMsg=").append(paramPrimaryMsg);
        sb.append(", paramInfo=").append(paramInfo);
        sb.append(", resultState=").append(resultState);
        sb.append(", resultMsg=").append(resultMsg);
        sb.append(", createTime=").append(createTime);
        sb.append(", createUsername=").append(createUsername);
        sb.append(", createName=").append(createName);
        sb.append(", c1=").append(c1);
        sb.append(", c2=").append(c2);
        sb.append(", c3=").append(c3);
        sb.append(", t1=").append(t1);
        sb.append(", t2=").append(t2);
        sb.append(", t3=").append(t3);
        sb.append(", i1=").append(i1);
        sb.append(", i2=").append(i2);
        sb.append(", i3=").append(i3);
        sb.append("]");
        return sb.toString();
    }
}